diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/CMakeLists.txt ns-3.36/src/netanim/CMakeLists.txt
--- ns-3.35/src/netanim/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/netanim/CMakeLists.txt	2022-04-30 18:23:58.090734700 -0700
@@ -0,0 +1,18 @@
+build_lib(
+  LIBNAME netanim
+  SOURCE_FILES model/animation-interface.cc
+  HEADER_FILES model/animation-interface.h
+  LIBRARIES_TO_LINK
+    ${libinternet}
+    ${libmobility}
+    ${libwimax}
+    ${libwifi}
+    ${libcsma}
+    ${liblte}
+    ${libuan}
+    ${libenergy}
+    ${liblr-wpan}
+    ${libwave}
+    ${libpoint-to-point-layout}
+  TEST_SOURCES test/netanim-test.cc
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/examples/CMakeLists.txt ns-3.36/src/netanim/examples/CMakeLists.txt
--- ns-3.35/src/netanim/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/netanim/examples/CMakeLists.txt	2022-04-30 18:23:58.102734600 -0700
@@ -0,0 +1,45 @@
+set(base_examples
+    dumbbell-animation
+    grid-animation
+    star-animation
+    colors-link-description
+    resources-counters
+)
+
+foreach(
+  example
+  ${base_examples}
+)
+  build_lib_example(
+    NAME ${example}
+    SOURCE_FILES ${example}.cc
+    LIBRARIES_TO_LINK
+      ${libnetanim}
+      ${libapplications}
+      ${libpoint-to-point-layout}
+  )
+endforeach()
+
+build_lib_example(
+  NAME wireless-animation
+  SOURCE_FILES wireless-animation.cc
+  LIBRARIES_TO_LINK
+    ${libnetanim}
+    ${libapplications}
+    ${libpoint-to-point}
+    ${libcsma}
+    ${libwifi}
+    ${libmobility}
+    ${libnetwork}
+)
+
+build_lib_example(
+  NAME uan-animation
+  SOURCE_FILES uan-animation.cc
+  LIBRARIES_TO_LINK
+    ${libnetanim}
+    ${libinternet}
+    ${libmobility}
+    ${libapplications}
+    ${libuan}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/examples/wireless-animation.cc ns-3.36/src/netanim/examples/wireless-animation.cc
--- ns-3.35/src/netanim/examples/wireless-animation.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/netanim/examples/wireless-animation.cc	2022-04-30 18:23:58.102734600 -0700
@@ -55,7 +55,6 @@
   phy.SetChannel (channel.Create ());
 
   WifiHelper wifi;
-  wifi.SetRemoteStationManager ("ns3::AarfWifiManager");
 
   WifiMacHelper mac;
   Ssid ssid = Ssid ("ns-3-ssid");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/model/animation-interface.cc ns-3.36/src/netanim/model/animation-interface.cc
--- ns-3.35/src/netanim/model/animation-interface.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/netanim/model/animation-interface.cc	2022-04-30 18:23:58.102734600 -0700
@@ -868,10 +868,9 @@
 }
 
 void
-AnimationInterface::WifiPhyTxBeginTrace (std::string context, WifiConstPsduMap psduMap, WifiTxVector txVector, double txPowerW)
+AnimationInterface::WifiPhyTxBeginTrace (std::string context, WifiConstPsduMap psduMap, [[maybe_unused]] WifiTxVector txVector, double txPowerW)
 {
   NS_LOG_FUNCTION (this);
-  NS_UNUSED (txVector);
   CHECK_STARTED_INTIMEWINDOW_TRACKPACKETS;
   Ptr<NetDevice> ndev = GetNetDeviceFromContext (context);
   NS_ASSERT (ndev);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/model/animation-interface.h ns-3.36/src/netanim/model/animation-interface.h
--- ns-3.35/src/netanim/model/animation-interface.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/netanim/model/animation-interface.h	2022-04-30 18:23:58.102734600 -0700
@@ -111,7 +111,6 @@
    * \param stopTime Stop Time for capturing values
    * \param pollInterval The periodic interval at which the counters are written to the trace file
    *        Default: 1s
-   * \returns none
    */
   void EnableIpv4L3ProtocolCounters (Time startTime, Time stopTime, Time pollInterval = Seconds (1));
 
@@ -122,7 +121,6 @@
    * \param stopTime Stop Time for capturing values
    * \param pollInterval The periodic interval at which the counters are written to the trace file
    *        Default: 1s
-   * \returns none
    */
   void EnableQueueCounters (Time startTime, Time stopTime, Time pollInterval = Seconds (1));
 
@@ -133,7 +131,6 @@
    * \param stopTime Stop Time for capturing values
    * \param pollInterval The periodic interval at which the counters are written to the trace file
    *        Default: 1s
-   * \returns none
    */
   void EnableWifiMacCounters (Time startTime, Time stopTime, Time pollInterval = Seconds (1));
 
@@ -144,7 +141,6 @@
    * \param stopTime Stop Time for capturing values
    * \param pollInterval The periodic interval at which the counters are written to the trace file
    *        Default: 1s
-   * \returns none
    */
   void EnableWifiPhyCounters (Time startTime, Time stopTime, Time pollInterval = Seconds (1));
 
@@ -188,7 +184,6 @@
    *
    * \param t The time at which AnimationInterface should begin capture of traffic info
    *
-   * \returns none
    */
   void SetStartTime (Time t);
 
@@ -197,7 +192,6 @@
    *
    * \param t The time at which AnimationInterface should stop capture of traffic info
    *
-   * \returns none
    */
   void SetStopTime (Time t);
 
@@ -208,7 +202,6 @@
             filenames : filename, filename-1, filename-2..., filename-N
             where each file contains packet info for 'maxPktsPerFile' number of packets
    *
-   * \returns none
    */
   void SetMaxPktsPerTraceFile (uint64_t maxPktsPerFile);
 
@@ -219,7 +212,6 @@
    * \param t Time interval between fetching mobility/position information
    * Default: 0.25s
    *
-   * \returns none
    */
   void SetMobilityPollInterval (Time t);
 
@@ -228,14 +220,12 @@
    *
    * \param cb Address of callback function
    *
-   * \returns none
    */
   void SetAnimWriteCallback (AnimWriteCallback cb);
 
   /**
    * \brief Reset the write callback function
    *
-   * \returns none
    */
   void ResetAnimWriteCallback ();
 
@@ -246,7 +236,6 @@
    * \param y Y co-ordinate of the node
    * \param z Z co-ordinate of the node
    *
-   * \returns none
    */
   static void SetConstantPosition (Ptr <Node> n, double x, double y, double z = 0);
 
@@ -255,7 +244,6 @@
    * \param n Ptr to the node
    * \param descr A string to briefly describe the node
    *
-   * \returns none
    */
   void UpdateNodeDescription (Ptr <Node> n, std::string descr);
 
@@ -264,7 +252,6 @@
    * \param nodeId Id of the node
    * \param descr A string to briefly describe the node
    *
-   * \returns none
    */
   void UpdateNodeDescription (uint32_t nodeId, std::string descr);
 
@@ -273,7 +260,6 @@
    * \param nodeId Id of the node
    * \param resourceId Id of the image resource that was previously added
    *
-   * \returns none
    */
   void UpdateNodeImage (uint32_t nodeId, uint32_t resourceId);
 
@@ -283,7 +269,6 @@
    * \param width Width of the node
    * \param height Height of the node
    *
-   * \returns none
    */
   void UpdateNodeSize (uint32_t nodeId, double width, double height);
 
@@ -294,7 +279,6 @@
    * \param g Green component value (0-255)
    * \param b Blue component value (0-255)
    *
-   * \returns none
    */
   void UpdateNodeColor (Ptr <Node> n, uint8_t r, uint8_t g, uint8_t b);
 
@@ -305,7 +289,6 @@
    * \param g Green component value (0-255)
    * \param b Blue component value (0-255)
    *
-   * \returns none
    */
   void UpdateNodeColor (uint32_t nodeId, uint8_t r, uint8_t g, uint8_t b);
 
@@ -315,7 +298,6 @@
    * \param nodeId Node Id of the node
    * \param counter Current value of the counter
    *
-   * \returns none
    */
   void UpdateNodeCounter (uint32_t nodeCounterId, uint32_t nodeId, double counter);
 
@@ -329,7 +311,6 @@
    * \param opacity Opacity of the background: A value between 0.0 and 1.0. 0.0 is transparent,
    *        1.0 is opaque
    *
-   * \returns none
    */
   void SetBackgroundImage (std::string fileName, double x, double y, double scaleX, double scaleY, double opacity);
 
@@ -339,7 +320,6 @@
    * \param toNode Node Id of the "to Node" of the p2p link
    * \param linkDescription Description of the link such as link bandwidth
    *
-   * \returns none
    */
   void UpdateLinkDescription (uint32_t fromNode, uint32_t toNode,
                               std::string linkDescription);
@@ -350,7 +330,6 @@
    * \param toNode Ptr to the "to Node" of the p2p link
    * \param linkDescription Description of the link such as link bandwidth
    *
-   * \returns none
    */
   void UpdateLinkDescription (Ptr <Node> fromNode, Ptr <Node> toNode,
                               std::string linkDescription);
@@ -374,7 +353,6 @@
   /**
    * \brief Do not trace packets. This helps reduce the trace file size if AnimationInterface is solely
    *        used for tracking mobility, routing paths and counters
-   * \returns none
    */
   void SkipPacketTracing ();
 
@@ -384,7 +362,6 @@
    * \param enable if true enables writing the packet metadata to the XML trace file
    *        if false disables writing the packet metadata
    *
-   * \returns none
    */
   void EnablePacketMetadata (bool enable = true);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/_required_netanim_version.py ns-3.36/src/netanim/_required_netanim_version.py
--- ns-3.35/src/netanim/_required_netanim_version.py	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/netanim/_required_netanim_version.py	2022-04-30 18:23:58.090734700 -0700
@@ -0,0 +1,9 @@
+# Store version information for required netanim version, used by
+# ns-3-allinone/download.py.
+# If specifying a released netanim version, specify the required netanim
+# version as, e.g. 'netanim-3.108'
+# If specifying a commit on the development tree, specify it like this based
+# on 'git describe --tags' command.  Example, if the latest release was 3.108,
+# and 'git describe --tags' reports "netanim-3.108-6-g8e7c0a9", then write the
+# version string below as 'netanim-3.108.post6+ng8e7c0a9'
+__required_netanim_version__ = 'netanim-3.108'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/netanim/test/netanim-test.cc ns-3.36/src/netanim/test/netanim-test.cc
--- ns-3.35/src/netanim/test/netanim-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/netanim/test/netanim-test.cc	2022-04-30 18:23:58.102734600 -0700
@@ -57,10 +57,6 @@
    */
   virtual
   ~AbstractAnimationInterfaceTestCase ();
-  /**
-   * \brief Run unit tests for this class.
-   * \return false if all tests have passed, false otherwise
-   */
   virtual void
   DoRun (void);
 
